# Interface MutableIndex

All Superinterfaces:
  `Index`

All Known Implementing Classes:
  `AbstractIndex, IntervalTreeIndex, LinearIndex`

public interface MutableIndex extends Index
Some Index implementations can be modified in memory. Also, properties do not make sense for all index types. Only the relevant index implementations implement this interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`addProperties(Map<String,String> properties)`
`void`
`addProperty(String key, String value)`

### Methods inherited from interface Index

`containsChromosome, equalsIgnoreProperties, getBlocks, getProperties, getSequenceNames, isCurrentVersion, write, write, write, writeBasedOnFeatureFile, writeBasedOnFeaturePath`

## Method Details

### addProperty

void addProperty(String key, String value)

### addProperties

void addProperties(Map<String,String> properties)